Skip to main content
POST
Historical orders

Authorizations

Authorization
string
header
required

Your Hypedexer API key, sent as Authorization: Bearer <key>. The X-API-Key: <key> header and the api_key query parameter are accepted as well.

Body

application/json
type
enum<string>
required
Available options:
historicalOrders
user
string
required

Wallet address (0x-prefixed, case-insensitive)

limit
integer
default:2000
Required range: 1 <= x <= 5000
lookbackDays
integer

Optional. Only statuses from the last N days

Required range: 1 <= x <= 365
startTime
integer

Window mode: inclusive lower bound on the status timestamp, epoch milliseconds

endTime
integer

Window mode: inclusive upper bound on the status timestamp, epoch milliseconds

cursor
string

Window mode: the X-Next-Cursor header of the previous page

Response

Orders with their latest status, latest first

order
object
status
string

Latest status, e.g. filled, canceled, open, selfTradeCanceled

statusTimestamp
integer

Time of the latest status, ms